<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(10)
) {
    if( parametrosValidos() 
        //&& tokenValido()
    ) {
        imprimirControl();     
  }
} else {
  echo 'No cuenta con permiso para Crear una Nueva Reserva';
}

function tokenValido() {
    global $clienteId;
    
	$cadena   = Varios::codifica('gestionReservasNuevaTipoCliente'.$clienteId._TOKEN);
	$tokenCod 	= filter_var($_POST["token"], FILTER_SANITIZE_STRING);
	$token 		= filter_var( Varios::decodifica($tokenCod), FILTER_SANITIZE_STRING);
	$valida 	= Varios::verificaToken($cadena, $token, 300);
	
	return $valida;
}

function imprimirControl() {
    $clienteId  = filter_var($_POST['clienteId'] , FILTER_VALIDATE_INT);
    
    require_once($_SERVER['DOCUMENT_ROOT'].'/clases/ClienteProveedor.Class.php');
    $tipo_obj  	     = new ClienteProveedor(null);
    $tipo_resultado  = $tipo_obj->informacionTipoPersona( $clienteId );
    $tipo_obj->Close();
    ?>    
    <select name="cmb_clienteTipo" id="cmb_clienteTipo" class="form-control" onchange="gestionReservasClienteTipoChange()"><?php
        foreach ($tipo_resultado  as $row) {?>
            <option value="<?php echo $row['nombre'];?>"><?php echo $row['nombre'];?></option><?php
        }?>
    </select>    
    <?php
}

function parametrosValidos() {
  $valido = isset( $_POST['token'])
            && isset( $_POST['clienteId']);
  return $valido;
}
?>